<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('DF20000.php');
	include('rec_checkin_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=strtoupper($_POST["n_reg"]);
	$varible_clase->fcodtarifa=strtoupper($_POST["fcodtarifa"]);
	$varible_clase->fnumres=strtoupper($_POST["fnumres"]);
	$varible_clase->fnumcto=strtoupper($_POST["fnumcto"]);
	$varible_clase->fnumadu=strtoupper($_POST["fnumadu"]);
	$varible_clase->fnummenor=strtoupper($_POST["fnummenor"]);
	//$varible_clase->ffecllegada=strtoupper($_POST["ffecllegada"]);
	$fec = $_POST['ffecllegada'];
	include('DF20000.php');
	$varible_clase->ffecllegada = $f_m;
	//$varible_clase->ffecsalida=strtoupper($_POST["ffecsalida"]);
	$fec = $_POST['ffecsalida'];
	include('DF20000.php');
	$varible_clase->ffecsalida = $f_m;
	//datos
	$varible_clase->fcodgrupo=strtoupper($_POST["fcodgrupo"]);
	$varible_clase->fcodagen=strtoupper($_POST["fcodagen"]);
	$varible_clase->fcodmeca=strtoupper($_POST["fcodmeca"]);
	$varible_clase->fplan=strtoupper($_POST["fplan"]);
	$varible_clase->smerf=strtoupper($_POST["smerf"]);
	$varible_clase->fnorasvip=strtoupper($_POST["fnorasvip"]);
	//forma de pago
	$varible_clase->fformpago=strtoupper($_POST["fformpago"]);
	$varible_clase->fnumtar=strtoupper($_POST["fnumtar"]);
	$varible_clase->fsaldo=strtoupper($_POST["fsaldo"]);
	$varible_clase->flimite=strtoupper($_POST["flimite"]);
	$varible_clase->fcodseg=strtoupper($_POST["fcodseg"]);
 	//direccion
	$varible_clase->fnombre=strtoupper($_POST["fnombre"]);
	$varible_clase->fapellido=strtoupper($_POST["fapellido"]);
	$varible_clase->flengua=strtoupper($_POST["flengua"]);
	$varible_clase->fempresa=strtoupper($_POST["fempresa"]);
	$varible_clase->ftelefono=strtoupper($_POST["ftelefono"]);
	$varible_clase->fvip=strtoupper($_POST["fvip"]);
	$varible_clase->femail=($_POST["femail"]);
	$varible_clase->fmail=($_POST["fmail"]);
	$varible_clase->fdireccion=strtoupper($_POST["fdireccion"]);
	$varible_clase->fgntd=strtoupper($_POST["tcol"]);
	$varible_clase->fcp=strtoupper($_POST["tcp"]);
	$varible_clase->fpais=strtoupper($_POST["pais"]);
	$varible_clase->festado=strtoupper($_POST["estados"]);
	$varible_clase->fciudad=strtoupper($_POST["tmun"]);
	//Extras
	$varible_clase->fnumadulx=strtoupper($_POST["fnumadulx"]);
	$varible_clase->fnummenorx=strtoupper($_POST["fnummenorx"]);
	$varible_clase->ftarifaxa=strtoupper($_POST["ftarifaxa"]);
	$varible_clase->ftarifaxm=strtoupper($_POST["ftarifaxm"]);
	$varible_clase->fmonadu=strtoupper($_POST["fmonadu"]);
	$varible_clase->fmonmen=strtoupper($_POST["fmonmen"]);
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=rec_checkin_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>!!! SE AGREGO EL REGISTRO... '.$_POST["t1"].' ACTUALIZANDO !!!</h2>';
		echo '<script languaje="javascript">window.close();</script>';
		//echo '<meta content="1; url=rec_checkin_PR.php" HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>!!! NO SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="5; url=rec_checkin_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>